## chipsec-1.13.16.tar.gz

=== chipsec_tools/log_parser/requirements.txt ===
Click==8.1.8
Flask>=2.2.5
itsdangerous==2.2.0
Jinja2==3.1.6
lxml>=4.6.5
MarkupSafe==2.1.5
Werkzeug>=3.0.1

=== drivers/linux/Makefile ===
DESTDIR	=
MODDIR	= $(DESTDIR)/lib/modules
KVERS	= $(shell uname -r)
KVER	= $(KVERS)
VMODDIR = $(MODDIR)/$(KVER)
KSRC	?= $(VMODDIR)/build

obj-m += chipsec.o
chipsec-objs-y := chipsec_km.o
chipsec-objs-$(CONFIG_X86_32) += i386/cpu.o
chipsec-objs-$(CONFIG_X86_64) += amd64/cpu.o
chipsec-objs := $(chipsec-objs-y)

quiet_cmd_nasm32 = NASM_32 $@
      cmd_nasm32 = nasm -f elf32 -o $@ $<

quiet_cmd_nasm64 = NASM_64 $@
      cmd_nasm64 = nasm -f elf64 -o $@ $<


all: chipsec

check_kernel_dir:
	@if [ ! -d $(KSRC) ]; then \
	    echo "Unable to find the Linux source tree."; \
	    exit 1; \
	fi

chipsec: check_kernel_dir clean
	make -C $(KSRC) M=$(CURDIR) modules

clean: check_kernel_dir
	make -C $(KSRC) M=$(CURDIR) clean

$(obj)/i386/cpu.o: $(src)/i386/cpu.asm FORCE
	$(call if_changed,nasm32)

$(obj)/amd64/cpu.o: $(src)/amd64/cpu.asm FORCE
	$(call if_changed,nasm64)

=== chipsec/helper/linux/Makefile ===
clean:
	rm -f *.o *.so *.ko

=== debian/changelog ===
chipsec (1.3.7) UNRELEASED; urgency=medium

  * Update version

 -- Erik Bjorge <erik.c.bjorge@intel.com>  Wed, 17 Jan 2019 15:24:00 -0700

chipsec (1.3.6) UNRELEASED; urgency=medium

  * Update version

 -- Erik Bjorge <erik.c.bjorge@intel.com>  Mon, 11 Nov 2018 20:04:58 -0700

chipsec (1.3.6rc1) UNRELEASED; urgency=medium

  * Cleaned up PR
  * Fixed dependencies

 -- user <alex@eclypsium.com>  Fri, 16 Mar 2018 12:05:58 -0700

chipsec (1.2.5-3) UNRELEASED; urgency=medium

  * Non-maintainer upload
  * Fixed dependencies

 -- Tim Brown <timb@nth-dimension.org.uk>  Mon, 13 Mar 2017 13:53:54 +0000

chipsec (1.2.5-2) UNRELEASED; urgency=medium

  * Non-maintainer upload
  * Debianisied the drivers 

 -- Tim Brown <timb@nth-dimension.org.uk>  Sun, 12 Mar 2017 22:14:49 +0000

chipsec (1.2.5-1) unstable; urgency=low

  * source package automatically created by stdeb 0.6.0+git

 -- CHIPSEC Team <chipsec@intel.com>  Thu, 08 Dec 2016 14:45:59 -0500

=== debian/control ===
Source: chipsec
Section: python
Priority: optional
Maintainer: CHIPSEC Team <chipsec@intel.com>
Build-Depends: python3-setuptools (>= 0.6b3), python3 (>=3.8), gcc, python3-dev, debhelper, dkms
Standards-Version: 3.9.1
Homepage: https://github.com/chipsec/chipsec

Package: chipsec
Architecture: amd64 i386
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: chipsec-dkms
Description: Platform Security Assessment Framework 
 CHIPSEC: Platform Security Assessment Framework

Package: chipsec-dkms
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms, nasm
Description: Platform Security Assessment Framework - module building source
 This package contains source code for the low-level drivers
 for CHIPSEC: Platform Security Assessment Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

#PYTHON3_VERSIONS = $(shell pyversions -r)

%:
	dh $@ --with python3 --with dkms --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_build:
	#dh_auto_build
	#set -ex; for python in $(PYTHON2_VERSIONS); do \
        #        $$python setup.py build --skip-driver; \
        #done
	python setup.py build --skip-driver;

override_dh_auto_install:
	#dh_auto_install
	#set -ex; for python in $(PYTHON3_VERSIONS); do \
	#	$$python setup.py install --skip-driver --root=$(CURDIR)/debian/$(DEB_SOURCE) --install-layout=deb; \
	#done
	python setup.py install --skip-driver --root=$(CURDIR)/debian/$(DEB_SOURCE) --install-layout=deb;
	install -d debian/$(DEB_SOURCE)-dkms/usr/src/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	cp -r drivers/linux/* debian/$(DEB_SOURCE)-dkms/usr/src/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)

override_dh_dkms:
	dh_dkms -V
